package com.jpsoft.shinestar.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.shinestar.modules.base.entity.MessageNoticeCompany;
import com.jpsoft.shinestar.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface MessageNoticeCompanyService {
	MessageNoticeCompany get(String id);
	boolean exist(String id);
	int insert(MessageNoticeCompany model);
	int update(MessageNoticeCompany model);
	int delete(String id);
	int deleteByNoticeId(String noticeId);
	List<MessageNoticeCompany> findByNoticeId(String noticeId);
	List<MessageNoticeCompany> list();
	Page<MessageNoticeCompany> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}